Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class ChainRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  ru.biosoft.util.ChainRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class ChainRuntimeException
extends java.lang.RuntimeException

See Also:
  Serialized Form
To do:
  replace by standard class from jdk 1.4

Field Summary
`protected java.lang.Exception` | `ex` Chained exception

Constructor Summary
`ChainRuntimeException(java.lang.Exception ex)`
`ChainRuntimeException(java.lang.String message, java.lang.Exception ex)`

Method Summary
`java.lang.Exception` | `getException()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ex

    protected java.lang.Exception ex

  Chained exception

Constructor Detail

### ChainRuntimeException

    public ChainRuntimeException(java.lang.String message,
                                 java.lang.Exception ex)

### ChainRuntimeException

    public ChainRuntimeException(java.lang.Exception ex)

Method Detail

### getException

    public java.lang.Exception getException()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.